---
# handlers file for nextcloud
- name: restart mysql
  ansible.builtin.service:
    name: "{{ mysql_daemon }}"
    state: restarted

- name: start http
  ansible.builtin.service:
    name: "{{ http_service_name }}"
    state: started

- name: restart http
  ansible.builtin.service:
    name: "{{ http_service_name }}"
    state: restarted

- name: reload http
  ansible.builtin.service:
    name: "{{ http_service_name }}"
    state: reloaded

- name: start php-fpm
  ansible.builtin.service:
    name: "php{{ php_ver }}-fpm"
    state: started

- name: reload php-fpm
  ansible.builtin.service:
    name: "php{{ php_ver }}-fpm"
    state: reloaded

- name: start redis
  ansible.builtin.service:
    name: "{{ redis_daemon }}"
    state: started
  ignore_errors: yes

- name: restart redis
  ansible.builtin.service:
    name: "{{ redis_daemon }}"
    state: restarted
  ignore_errors: yes
